Shop

Webhook

1 endpoints · https://pos.pages.fm/api/v1

View Markdown

Webhook configuration

PUT/shops/{SHOP_ID}

Configure webhook settings. Go to Setting -> Advance -> Third-party connection -> Webhook/API to configure:

  • Webhook URL (Required)
  • Email error message
  • Request Headers
  • Webhook types: orders, customers, products, variations_warehouses, or auto_call

Webhook Response Types

When webhook is enabled, the system sends POST requests to the configured URL. Response schema:

Path parameters

SHOP_IDintegerrequired

Shop ID

Example: 4

Request body

Request body containing information to update

object
shopobjectrequired

Responses

object
shopobject

Shop information

successboolean

Success status

Request
curl -X PUT "https://pos.pages.fm/api/v1/shops/{SHOP_ID}?api_key=API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "shop": {
    "webhook_enable": true,
    "webhook_url": "https://test.com",
    "webhook_email": "1234@gmail.com",
    "webhook_types": [
      "orders",
      "customers",
      "variations_warehouses"
    ],
    "webhook_partner": "",
    "webhook_headers": {
      "X-API-KEY": "elqsF9ERiFWGacWQO9Gg5XC4kXojot"
    }
  }
}'
Response 200
{
  "success": true
}